Deployments.ai Docs
Providers

Sync vendor MCP tools for a provider connection

POST /v1/connections/{connectionId}/tools/sync · SDK syncConnectionTools · CLI deployments connection tools-sync

POST
/v1/connections/{connectionId}/tools/sync

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

connectionId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Response Body

SyncConnectionToolsResponse

application/json
  1. response
connectionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
providerKey*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
syncedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
tools*array<>
curl -X POST "https://example.com/v1/connections/string/tools/sync" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string"
{  "connectionId": "string",  "providerKey": "string",  "syncedAt": "2019-08-24T14:15:22Z",  "tools": [    {      "change": "archived",      "classified": true,      "destructive": true,      "effect": "read",      "reason": "string",      "remoteName": "string",      "toolName": "string"    }  ]}